{% extends 'base.html.twig' %}

{% block body -%}
	<main class='main-content'>
		<div id='mainContent'>
			<h1>Attivazione Internet Laboratori</h1>

			<table class="table table-striped table-hover ">
				<thead>
				<tr>
					<th></th>
					<th>Nome</th>
					<th>Azioni</th>
				</tr>
				</thead>
				<tbody>
				{% for entity in pagination %}
					<tr data-list-name="{{ entity.nome }}">
						<td>
							{% if entity.state=='active' %}
								<i class="fas fa-globe"></i>
								{% if entity.endingTime %}{{ entity.endingTime }}{% endif %}
								{% if entity.activedBy != "" %}<br /><div class="badge text-bg-success lh-0 p-10">{{ entity.activedBy }}</div>{% endif %}
							{% endif %}
						</td>
						<td>
							{{ entity.nome }}
						</td>
						<td>
							{% if entity.state=='not-active' %}
								<button id="internetOn-{{ entity.id }}" class="btn btn-success internetOn">
									<i class="fas fa-clock"></i> Attiva
								</button>
							{% elseif entity.state=='activating' %}
								<span class="badge bg-warning align-self-center">In Attivazione</span>
							{% else %}
								<button id="internetEx-{{ entity.id }}" class="btn btn-warning internetOn">
									<i class="fas fa-clock"></i> Estendi
								</button>
								<a href="{{ path('lab_internet_off',{'mikrotikListId': entity.id}) }}" class="btn btn-danger"
										{% if entity.activedByOtherUser %} onclick="return confirm('Non sei stato tu ad abilitare quest\'aula. Sicuro di volerla disattivare?')"{% endif %}
								>
									Disattiva
								</a>
							{% endif %}
						</td>
					</tr>
				{% endfor %}
				</tbody>
			</table>
			<div class="row">
				<div class="col-md-4">
					<div class="navigation">
						{{ knp_pagination_render(pagination) }}
					</div>
				</div>
				<div class="col-md-4"></div>
				<div class="col-md-4"></div>
			</div>


			<div class="modal fade" id="setTime" tabindex="-1" role="dialog" aria-labelledby="setTime" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<h4 class="modal-title">Attivazione internet</h4>
							<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
						</div>
						<div class="modal-body">
							<div class="form-inline">
								<div class="mb-3">
									<label for="timeToSet">Attiva <span id="setTimeUser"></span> fino alle:</label>
									<input type="time" id="timeToSet" class="form-control"
										   value="{{ timeToSet|date("H:i") }}" title="orario di fine"/>
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Chiudi</button>
							<button id="setTimeConfirm" type="button" class="btn btn-primary">Attiva</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</main>

{% endblock %}


{% block javascripts %}
	{{ parent() }}
	<script type="text/javascript">
		{% set activatePath = "lab_internet_on" %}
		{% set checkPath = "lab_internet_is_on" %}

		{% include 'components/ip_list_activation_modal.js.twig' %}
	</script>
{% endblock %}
